<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>FETCH</title>
    <link rel="stylesheet" href="../css/cours.css">
    <style>
        button {
            padding: 15px;

        }
    </style>
</head>
<body>

<h1>FETCH</h1>
<div id="resultat"></div>

<div>
    <button id="bouton" >Test de fetch</button>
</div>

<div style="margin-top:50px">
    <button id="bouton1" >Fetch avec paramètres</button>
</div>

<div id="montext" style="height: 20px;background-color: #81ca9d"></div>


<script>

    /** bouton simple */
    let leBouton = document.querySelector('#bouton');
    leBouton.addEventListener('click', function(){
        testDeFetch();
    });

    /** bouton avec paramêtre */
    let leBouton1 = document.querySelector('#bouton1');
    leBouton1.addEventListener('click', function(){
        testDeFetch1();
    });

    let x=document.querySelector('#montext');

 function testDeFetch () {
     fetch("fetch.php")
         .then(response => response.json())
         .then(response => x.innerHTML=response.prenom)
         .catch(error => alert("Erreur : " + error));
 }

function testDeFetch1() {

     let data = {
         "adresse":"1 rue de la tour",
         "ville":"Mulhouse"
     }

     fetch('fetch1.php', {
         method: "POST",
         headers: {"Content-type": "application/json;charset=UTF-8"},
         body: JSON.stringify(data),
     })
     .then(response => response.json())
     .then(response => alert(JSON.stringify(response)))
     .catch(error => alert("Erreur : " + error));
 }

</script>




</body>
</html>